@import url(fonts.css);

:root {
    color-scheme: light dark;
    --bg-color: light-dark(#F2F2F2, #3B3B3B);
    --text-color: light-dark(#000000, #F2F2F2);
    --inverted-text-color: light-dark(#F2F2F2, #000000);
    --navbar-height: 100px;
    --navbar-color: #FF10F0;
    --footer-color: #c300b7;
    --navlinks-color: light-dark(#ffffff55, #00000055);
    --button-color: light-dark(#3B3B3B, #DBDBDB);
    --card-color: light-dark(#3B3B3B, #DBDBDB);
    --max-width-mobile: 870px;
    --default-padding: 30px;
}

:target {
    scroll-margin-top: 150px;
}

* {
    box-sizing: border-box;
    font-size: 100%;
    margin: 0;
    padding: 0;
}

html {
    font-size: 30px;
}

html, body {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    font-family: 'bytesized';
    text-underline-offset: 0.2em;
    background-color: var(--bg-color);
    color: var(--text-color);
}

body {
    margin-top: var(--navbar-height);
}

main {
    margin-bottom: 2rem;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'tiny5';
}
h1 {
    font-size: 2.5rem;
}
h2 {
    font-size: 2.0rem;
}
h3 {
    font-size: 1.5rem;
}
h4 {
    font-size: 1.25rem;
}
h5 {
    font-size: 1.125rem;
}
h6 {
    font-size: 1rem;
}

p {
    font-family: 'bytesized';
    font-size: 1rem;
}

.navbar {
    font-family: 'tiny5';
    z-index: 100;
    position: fixed;
    top: 0;
    display: flex;
    width: 100%;
    height: var(--navbar-height);
    flex-direction: row;
    align-items: center;
    background-color: var(--navbar-color);
    color: #F2F2F2;

    .logo {
        margin-right: auto;
        img {
            height: calc(var(--navbar-height) - var(--default-padding));
            width: auto;
        }
        padding-left: var(--default-padding);
    }

    @media (max-width: 870px) {
        .nav-links {
            display: none;
            flex-direction: column;
            position: fixed;
            margin-top: 0;
            width: 100%;
            top: var(--navbar-height);
            height: calc(100vh - var(--navbar-height));
            text-align: right;
            overflow: auto;
            padding: var(--default-padding);
            background-color: var(--navlinks-color);
            font-size: 2em;

            li {
                margin-left: auto;
                display: block;
                list-style-type: none;
                padding: 0.4rem;
                padding-right: 0;
                padding-left: 0;
            }

            a {
                text-decoration: none;
                color: white;
            }
            a:hover {
                color: var(--navbar-color);
            }
        }

        .hamburger {
            display: inline-block;
            background: none;
            border: none;
            margin-left: auto;
            color: #F2F2F2;
            vertical-align: middle;
            margin-right: var(--default-padding);
            img {
                height: calc(var(--navbar-height) - var(--default-padding));
                width: auto;
            }

            #close-hamburger {
                display: none;
                img {
                    height: calc(var(--navbar-height) - var(--default-padding));
                    width: auto;
                }
            }
        }
        .hamburger:hover {
            cursor: pointer;
        }
    }

    @media (min-width: 871px) {
        .nav-links {
            align-self: center;
            display: flex;
            gap: 1.5em;
            justify-self: flex-end;
            margin-left: auto;
            padding-right: var(--default-padding);
            flex-direction: row;
            font-size: 1.3em;

            li {
                list-style-type: none;
                display: block;
                margin: 0;
                padding: 0;
            }
            
            a {
                text-decoration: none;
                color: white;
                padding: 0.4rem;
            }
            a:hover {
                color: var(--navbar-color);
                background-color: white;
            }
        }

        .hamburger {
            display: none;
        }
    }
}

.hero {
    margin: 0;
    margin-bottom: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-size: cover;
    background-position: center;
    width: 100%;
    height: calc(100vh - var(--navbar-height));
    text-align: center;
    padding-left: var(--default-padding);
    padding-right: var(--default-padding);
    background-image: url('../images/hero-light.avif');

    @media (prefers-color-scheme: dark) {
        background-image: url('../images/hero-dark.avif');
    }

    .hero-text {
        align-self: center;
        color: #DBDBDB;
    }
    h2 {
        font-size: 1.1rem;
    }
}

footer {
    margin-top: auto;
    color: white;
    padding: 1rem;
    display: flex;
    flex-direction: row;
    font-size: 0.6rem;
    flex-wrap: wrap;
    background-color: #ab00a0;

    p {
        font-size: 1.7em;
    }

    ul {
        list-style: none;
        padding: 0;
        margin: 0;
    }

    a {
        color: white;
    }

    .copyright {
        margin-right: auto;
        margin-top: auto;
        margin-bottom: auto;
    }

    .footer-contact {
        margin-left: auto;
        margin-top: auto;
        margin-bottom: auto;
        a {
            text-decoration: none;
        }
        th {
            text-align: left;
            padding-right: 1em;
        }
        th::after {
            content: ":";
        }
        td {
            text-align: right;
        }
    }
}

.cards {
    margin-top: 6rem;
    list-style: none;

    img {
        display: none;
    }

    li {
        margin: 2rem;
        padding-top: 4rem;
        padding-bottom: 4rem;
        position: relative;

        h3 {
            z-index: 2;
            position: relative;
            padding: 1rem;
            width: 100%;
            background-color: var(--card-color);
            color: var(--inverted-text-color);
        }
        p {
            z-index: 2;
            position: relative;
            padding: 1rem;
            padding-top: 0;
            width: 100%;
            background-color: var(--card-color);
            color: var(--inverted-text-color);
        }
        @media (min-width: 871px) {
            img {
                display: flex;
                z-index: 1;
                position: absolute;
                top: 50%;
                transform: translateY(-50%);
                width: 50vw;
                height: auto;
            }
            margin: 2rem;
            width: 40vw;
            margin-left: 10vw;
            margin-right: 10vw;
        }
    }

    @media (min-width: 871px) {
        li:nth-child(odd) {
            margin-right: auto;
            img {
                left: 30vw;
            }
        }
        li:nth-child(even) {
            margin-left: auto;
            img {
                right: 30vw
            }
        }
    }
}

#cookie-popup {
    z-index: 1000000;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    width: 90vw;
    height: 90vh;
    background-color: #00FF00;
    color: black;
    justify-content: center;
    align-content: center;
    padding: 2rem;
    overflow: auto;
    form {
        margin: 1rem;
        input[type="checkbox"] {
            width: 1rem;
            height: 1rem;
            margin: 0;
            vertical-align: middle;
            margin-right: 0.5rem;
            accent-color: white;
            border: none;
            cursor: pointer;
        }
        button {
            background: none;
            border: none;
            outline: none;
            font: inherit;
            font-size: 1.5em;
            background-color: white;
            color: black;
            border: solid;
            border-width: 5px;
            border-color: black;
            position: relative;
            margin: 1rem;
            display: block;
            left: 50%;
            transform: translateX(-50%);
            padding: 0.5em;
            padding-top: 0.2em;
            padding-bottom: 0.2em;
        }
        button:hover {
            background-color: black;
            color: white;
        }
    }
}

.about-me {
    display: flex;
    flex-direction: column;
    margin: 4rem;
    align-content: center;
    justify-content: center;
    text-align: center;
    img {
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 2rem;
        height: 40vh;
        width: 30vh;
        object-fit: cover;
        border: solid;
        border-color: black;
        border-width: 0.2rem;
    }
}